/*************************************************************************************************
*
*
*			ObjectMacZapp		-- a standard Mac OOP application template
*
*
*
*			ZGrafState.h		-- a simple object for saving and restoring grafport state
*
*
*			 1997, Graham Cox
*
*
*
*************************************************************************************************/

#pragma once

#ifndef __ZGRAFSTATE__
#define	__ZGRAFSTATE__


class	ZGrafState
{
protected:
	GrafPtr		port;
	RgnHandle	clip;
	PenState	pen;
	RGBColor	fore;
	RGBColor	back;
	short		font;
	short		fSize;
	Style		fStyle;
	short		fMode;

public:
	ZGrafState();
	virtual ~ZGrafState();
};

#endif